## Rockstar 1080p Bluray Movie 13

 
  
 
**## Get files from these links:
[Link 1](https://tinourl.com/2tDM9z)

[Link 2](https://urlcod.com/2tDM9z)

[Link 3](https://jinyurl.com/2tDM9z)

**

 
 
 
 
 
# Rockstar: A Musical-Romantic Drama Starring Ranbir Kapoor and Nargis Fakhri
 
Rockstar is a 2011 Indian Hindi-language film written and directed by Imtiaz Ali and produced by former Eros International head Sunil Lulla and Shree Ashtavinayak Cine Vision Limited chief Dhilin Mehta. The film features Ranbir Kapoor as Janardhan Jhakar, a college boy who dreams of becoming a rockstar, and Nargis Fakhri as Heer Kaur, a popular girl who becomes his muse and love interest. The film also features Moufid Aziz, Aditi Rao Hydari, Piyush Mishra, Shernaz Patel, Kumud Mishra in supporting roles, and also Ranbir Kapoor's granduncle Shammi Kapoor, who makes his last silver-screen appearance[^1^].
 
The film follows Janardhan's journey from a naive and aspiring musician to an international rock sensation named Jordan. Along the way, he faces many challenges and hardships, such as family misunderstandings, professional rivalries, and personal tragedies. The film explores themes such as passion, pain, love, loss, and music. The film's soundtrack was composed by A. R. Rahman, who won several awards for his work. The film was also a commercial success, grossing over â¹1 billion worldwide[^2^].
 
If you are looking for a high-quality version of Rockstar to watch online or download, you can find it on various platforms. For example, you can watch Rockstar (2011) in 1080p BluRay quality on YTS[^2^], where you can also download subtitles in different languages. You can also watch Rockstar (2011) in 720p or 1080p BluRay x265 10bit HEVC quality on OlaMovies[^3^], where you can also find Google Drive links for easy downloading. However, please be aware that these sites may not be legal or safe to use, so proceed at your own risk.

## Rockstar: A Film That Divided Critics and Audiences
 
Rockstar is a film that received mixed reviews from critics and audiences alike. Some praised the film for its unconventional storytelling, realistic portrayal of a musician's life, and Ranbir Kapoor's outstanding performance. Others criticized the film for its confusing narrative, weak female character, and lack of emotional impact. The film has a rating of 7.7/10 on IMDb based on 206 user reviews[^1^], and a rating of 83% on Rotten Tomatoes based on 6 critic reviews.
 
One of the positive reviews came from Rajeev Masand of CNN-IBN, who gave the film 4 out of 5 stars and wrote: \"Just to see him work his magic on screen, Rockstar is worth a watch. But while good acting is always an incentive, it's a director's vision that makes a film truly watchable, and Imtiaz makes Rockstar stand out from what the mainstream churns out every week. And brings back the one aspect sorely missing from Hindi films lately -- music.\"[^1^]
 
Another positive review came from Anupama Chopra of NDTV, who gave the film 3.5 out of 5 stars and wrote: \"Rockstar is a rousing rebellion anthem that will strike a chord with anyone who has ever dreamed big. It's also an uneven film that doesn't fully tap into its own potential. But I recommend that you see it for Ranbir Kapoor's heartfelt performance and for AR Rahman's brilliant music.\"[^1^]
 
One of the negative reviews came from Shubhra Gupta of The Indian Express, who gave the film 2 out of 5 stars and wrote: \"Rockstar is a long, loopy ride which leaves you both exhausted and exhilarated. It could have been a great film but it is not. It has too much fuzz going around it to be coherent. But it also has moments which show us what it could have been.\"[^1^]
 
Another negative review came from Mayank Shekhar of Hindustan Times, who gave the film 2 out of 5 stars and wrote: \"The movie is a journey of a young ambitious boy from his being Janarthan to Jordan and in a symbolic manner raises several questions about independence and democracy. Imtiaz Ali is a fabulous story teller and his previous work reflects those but with Rockstar he goes a level higher.\"[^1^]
 dde7e20689
 
 
